<?php

/*
   _____ __    _                          __     ___    ____  ____
  / ___// /_  (_)___  __  __  ____  ___  / /_   /   |  / __ \/  _/
  \__ \/ __ \/ / __ \/ / / / / __ \/ _ \/ __/  / /| | / /_/ // /  
 ___/ / / / / / /_/ / /_/ / / / / /  __/ /_   / ___ |/ ____// /   
/____/_/ /_/_/ .___/\__, (_)_/ /_/\___/\__/  /_/  |_/_/   /___/   
            /_/    /____/                                         

API Versiyon: 2
Güncelleme Tarihi: 27.07.2020
*/

$returnID = ""; // İşlem tamamlandığında size gönderilecek veri, INT veya STRING olabilir
$usrIp = ""; // Ödeme yapacak kullanıcının IP adresi
$amount = 1; // Kur bazlı ödenecek tutar
$currency = "TRY"; // Ödeme yapılacak para birimi. (TRY, EUR, USD, GBP)
$apiKey = "secret"; // Gizli API anahtarınız
$usrName = ""; // Ödeme yapacak kullanıcınızın adı, soyadı
$usrAddress = ""; // Ödeme yapacak kullanıcınızın adresi
$usrPhone = ""; // Ödeme yapacak kullanıcınızın telefon numarası
$usrEmail = ""; // Ödeme yapacak kullanıcınızın e-posta adresi
$pageLang = "TR"; // Ödeme sayfası dil seçeneği (TR, EN, DE, AR, ES, FR)
$mailLang = "TR"; // Ödeme sonra bilgilendirme e-maili dil seçeneği (TR, EN)
$installment = 0; // Taksit seçeneği tanımlaması (0: Tek Çekim, 3,6,9,12: Taksit Sayısı)

$fields = array(
    "usrIp" => $usrIp,
    "usrName" => $usrName,
    "usrAddress" => $usrAddress,
    "usrPhone" => $usrPhone,
    "usrEmail" => $usrEmail,
    "amount" => $amount,
    "returnID" => $returnID,
    "currency" => $currency,
    "pageLang" => $pageLang,
    "mailLang" => $mailLang,
    "installment" => $installment,
    "apiKey" => $apiKey
);

$postvars = http_build_query($fields);
$ch = curl_init();

curl_setopt_array($ch, array(
    CURLOPT_URL => "https://api.shipy.dev/pay/credit_card",
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => "",
    CURLOPT_MAXREDIRS => 10,
    CURLOPT_TIMEOUT => 30,
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => "POST",
    CURLOPT_POSTFIELDS => http_build_query($fields),
));

$result = curl_exec($ch);
$result = json_decode($result, true);

if ($result['status'] == "success") {
    $link = $result['link'];
    header("Location: $link"); // Müşteriyi sistemin bize gönderdiği ödeme sayfasına yönlendiriyoruz.
} else print("Ödeme işlemi sırasında bir hata oluştu: " . $result["message"]);

curl_close($ch);
?>